import request from './axios'

// 图谱查询
export function getGraph (data) {
  return request({
    url: '/search/queryGraph',
    method: 'post',
    data
  })
}

// 属性查询
export function getProperty (data) {
  return request({
    url: '/search/queryProperty',
    method: 'post',
    data
  })
}
// 属性详情查询
export function getPropertyDetail (data) {
  return request({
    url: '/search/queryPropertyDetail',
    method: 'post',
    data
  })
}

// 图谱详情
export function getDetail (data) {
  return request({
    url: '/search/queryGraphProperties',
    method: 'post',
    data
  })
}

// 图谱详情
export function getNodesTotal (data) {
  return request({
    url: '/search/statsGraphCount',
    method: 'post',
    data
  })
}

// 字典查询
export function getQueryDict (data) {
  return request({
    url: '/search/queryDict',
    method: 'post',
    data
  })
}

// 导出
export function getExportGraph (data) {
  return request({
    url: '/search/exportGraph',
    method: 'post',
    data
  })
}
